Subject: PB compiling wu-ftpd on Alpha

From: [email-masked] (Dominique Baisnee)
Date: Tue, 4 Jul 1995 13:59:46 +0100

Hello,

        I tried to install wu-ftpd-2.4 on DEC Alpha station under OSF/1
V3.0 but I've got some problem during the compilation :

Here is the result I obtain :

>build osf
make args are :
make opts are :

Linking Makefiles.
ln: Makefile and makefiles/Makefile.osf are identical.
ln: config.h and config/config.osf are identical.
ln: Makefile and makefiles/Makefile.osf are identical.

Making support library.
rm -f libsupport.a
ar cq libsupport.a getusershell.o fnmatch.o strcasestr.o strerror.o strsep.o aut
huser.o
ranlib libsupport.a
s - creating symbol hash table. Wait...

Making ftpd.
`ftpd' is up to date.

Making ftpcount.
cc -O -DDEBUG -I.. -I../support -L../support -s -x -o ftpcount ftpcount.c vers.o
 -lsupport
/usr/lib/cmplrs/cc/cfe: Error: ./extensions.h, line 28: Syntax Error
 struct aclmember {
 ^
*** Exit 1
Stop.

Making ftpshut.
cc -O -DDEBUG -I.. -I../support -L../support -s -x -o ftpshut ftpshut.c vers.o -
lsupport
/usr/lib/cmplrs/cc/cfe: Error: ftpshut.c, line 54: Syntax Error
 int denyoffset = 10;
 ^
*** Exit 1
Stop.

Making ckconfig.
`ckconfig' is up to date.
ln: ftpwho and ../src/ftpcount are identical.
ln: ckconfig and ../src/ckconfig are identical.

Links to executables are in bin directory:
text    data    bss     dec     hex
106496  32768   23632   162896  27c50   bin/ftpd
16384   8192    0       24576   6000    bin/ftpcount
16384   8192    0       24576   6000    bin/ftpshut
16384   8192    0       24576   6000    bin/ftpwho
8192    8192    0       16384   4000    bin/ckconfig
Done

Does somebody could help me ?

Also I find more information about how to install, configure and manage ftp
anonymous server and how does it works.

Thanks a lot,

Dominique Baisnee

===================================================================*********
**********************************************************

   Mme Dominique BAISNEE
Centre des Faibles Radioactivités
   Service Informatique
  Laboratoire mixte CEA/CNRS

Avenue de la Terrasse
   91198 GIF SUR YVETTE
   --------------------
     Tel : 69-82-43-51
     Fax : 69-82-35-68
     E-mail : [email-masked]